# EasyAreaAlias

### A FreCAD macro to create Aliasis for a selected range of cells from the row and column headings

## Installation

See [How to install macros](https://wiki.freecadweb.org/How_to_install_macros)

## Usage

### 1. Create a data-table

In a FreeCAD spreadsheet create a data-table with row- and column-headers.

Eg. have the part-name in the rows and in the columns the dimension category.

| |X|Y|Z|
|---------|---------|---------|---------|
|Part 1|10|20|30|
|Part 2|20|30|10|
|Part 3|40|30|30|
|Part 4|60|50|20|
|Part 5|30|60|60|


### 2. Select the data
Select the data only, excluding the headings

### 3. Execute the macro

The macro will now check **and correct**[^1] the headings (replace specail characters, blanks, etc.) so that a proper alias can be generated and generate and set the alias for each cell in the selected range.

Eg. in the tabel above the first cell will get the alias
"Part_1_X", and so on.






[^1] The corretiong is done to assure there are no differencies between the displayed text and the generated alias.